Skip to main content
`Ctrl`+`K`

# PetscOptionsGetReal

Gets the double precision value for a particular option in the database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetReal(PetscOptions options, const char pre[], const char name[], PetscReal *dvalue, PetscBool *set)

Not Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- pre - string to prepend to each name or `NULL`

- name - the option one is seeking

## Output Parameters

- dvalue - the double value to return

- set - `PETSC_TRUE` if found, `PETSC_FALSE` if not found

## Notes

Accepts the special values `determine`, `decide` and `unlimited`.

Accepts the deprecated value `default`

If the user does not supply the option `dvalue` is NOT changed. Thus you should ALWAYS initialize `dvalue` if you access it without first checking that the `set` flag is true.

## See Also

`PetscOptionsGetInt()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

src/sys/objects/options.c

## Examples

src/dm/impls/plex/tutorials/ex10.c
src/ksp/ksp/tutorials/ex77.c
src/dm/tutorials/ex26.c
src/ksp/ksp/tutorials/ex54.c
src/ksp/ksp/tutorials/ex60.c
src/ksp/ksp/tutorials/ex11f.F90
src/dm/impls/stag/tutorials/ex6.c
src/ksp/ksp/tutorials/ex21.c
src/ksp/ksp/tutorials/ex11.c
src/ksp/ksp/tutorials/ex55.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages